/* JFox, the OpenSource J2EE Application Server
 *
 * Distributable under GNU LGPL license by gun.org
 * more details please visit http://www.huihoo.org/jfox
 */

package org.jfox.ejb;

import java.lang.reflect.Method;
import javax.ejb.EJBException;

import org.jfox.ejb.meta.Protocol;

/**
 * @author <a href="mailto:young_yy@hotmail.com">Young Yang</a>
 */

public class ExtendedEJBHomeMethod {

    public final static Method UseProtocol;

    static {
        try {
            Class ejbHomeClass = ExtendedEJBHome.class;
            UseProtocol = ejbHomeClass.getMethod("useProtocol", new Class[]{Protocol.class});
        }
        catch(Exception e) {
            e.printStackTrace();
            throw new EJBException(e);
        }
    };

    public static void main(String[] args) {

    }
}
